Deutsch
Erscheinungsbild
Gibt alle Kommentare zurück, beginnend mit den angegebenen Optionen. Parameter: start:array; limit:int; order:string
start:array
limit:int
order:string
start
order
limit
by_cashout_time
timestamp
author
permlink
by_permlink
by_root
root_author
root_permlink
child_author
child_permlink
by_parent
parent_author
parent_permlink
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["1970-01-01T00:00:00", "", ""] | 10 | "by_cashout_time" | Abfrage der ersten 10 Kommentare, sortiert nach Cashout-Zeitpunkt | | ["", ""] | 10 | "by_permlink" | Abfrage der ersten 10 Kommentare, sortiert nach Permlink | | ["steemit","firstpost", "", ""] | 10 | "by_root" | Abfrage der nächsten 10 Kommentare ab @steemit/firstpost, sortiert nach Root | | ["steemit","firstpost", "", ""] | 10 | "by_parent" | Abfrage der nächsten 10 Kommentare ab @steemit/firstpost, sortiert nach Parent |
["1970-01-01T00:00:00", "", ""]
"by_cashout_time"
["", ""]
"by_permlink"
["steemit","firstpost", "", ""]
"by_root"
"by_parent"
Siehe auch: Paginated API Methods
{ "start": null, "limit": 0, "order": "by_name" }
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "1970-01-01T00:00:00", "", "" ], "limit": 10, "order": "by_cashout_time" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "", "" ], "limit": 10, "order": "by_permlink" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "steemit", "firstpost", "", "" ], "limit": 10, "order": "by_root" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "steemit", "firstpost", "", "" ], "limit": 10, "order": "by_parent" }, "id": 1 }'
{ "comments": [ { "id": 66710716, "author": "libert", "permlink": "libert-re-runicar-re-libert-libert-re-runicar-re-libert-libert-re-runicar-ykwyxgj6-20181128t063355338z", "category": "steem", "parent_author": "runicar", "parent_permlink": "re-libert-libert-re-runicar-re-libert-libert-re-runicar-ykwyxgj6-20181128t063100538z", "title": "", "body": "13\n\nPosted using [Partiko Android](https://steemit.com/@partiko-android)", "json_metadata": "{\"app\":\"partiko\"}", "last_update": "2018-11-28T06:33:57", "created": "2018-11-28T06:33:57", "active": "2018-11-28T06:34:30", "last_payout": "1970-01-01T00:00:00", "depth": 5, "children": 1, "net_rshares": 0, "abs_rshares": 0, "vote_rshares": 0, "children_abs_rshares": 0, "cashout_time": "2018-12-05T06:33:57", "max_cashout_time": "1969-12-31T23:59:59", "total_vote_weight": 0, "reward_weight": 10000, "total_payout_value": { "amount": "0", "precision": 3, "nai": "@@000000013" }, "curator_payout_value": { "amount": "0", "precision": 3, "nai": "@@000000013" }, "author_rewards": 0, "net_votes": 0, "root_author": "runicar", "root_permlink": "ykwyxgj6", "max_accepted_payout": { "amount": "1000000000", "precision": 3, "nai": "@@000000013" }, "percent_steem_dollars": 10000, "allow_replies": true, "allow_votes": true, "allow_curation_rewards": true, "beneficiaries": [] } ] }
database_api.list_comments
Purpose
Gibt alle Kommentare zurück, beginnend mit den angegebenen Optionen. Parameter:
start:array;limit:int;order:stringstarthängt vonorderab (siehe unten)limit- bis zu 1000.orderkann einer der folgenden sein:by_cashout_time- Ordnung nach Cashout-Zeitpunktstartist ein Array aus einem erforderlichen und zwei optionalen Werten:timestamp,author,permlinkby_permlink- Ordnung nach Permlinkstartist ein Array aus zwei optionalen Werten:author,permlinkby_root- Ordnung nach Rootstartist ein Array aus zwei erforderlichen und zwei optionalen Werten:root_author,root_permlink,child_author,child_permlinkby_parent- Ordnung nach Parentstartist ein Array aus zwei erforderlichen und zwei optionalen Werten:parent_author,parent_permlink,child_author,child_permlink|
start(array) |limit(int) |order(string) | | |----------------------------|---------------|-| |["1970-01-01T00:00:00", "", ""]| 10 |"by_cashout_time"| Abfrage der ersten 10 Kommentare, sortiert nach Cashout-Zeitpunkt | |["", ""]| 10 |"by_permlink"| Abfrage der ersten 10 Kommentare, sortiert nach Permlink | |["steemit","firstpost", "", ""]| 10 |"by_root"| Abfrage der nächsten 10 Kommentare ab @steemit/firstpost, sortiert nach Root | |["steemit","firstpost", "", ""]| 10 |"by_parent"| Abfrage der nächsten 10 Kommentare ab @steemit/firstpost, sortiert nach Parent |Siehe auch: Paginated API Methods
Parameters
Example
Example 1
Example 2
Example 3
Example 4
Response